このスレッドは解決済です(未解決に戻す場合はこちら)
<<戻る

phpが5.3にならない!!!! このメッセージに返信する
日時: 2011/08/11 09:53
名前: syomny
URL:
rsyncを使ってデータ―の移行をしましたがmysqlが起動しませんでした

そして/var/log/mysqld.logを見てみると

下記の方と同じように
http://centossrv.com/patio/patio.cgi?mode=res&no=1574&pno=0

mysqld_safe mysqld from pid file /var/run/mysqld/mysqld.pid ended があったので

http://centossrv.com/patio/patio.cgi?mode=res&no=1574&pno=0の( No.4 )のことをしたところ

mysqlは起動できるようになりましたが

php5.3がphp5.1になってしまいました

どうすれば再び5.3になるでしょうか…?

回答お願いします…
記事編集 編集
Re: phpが5.3にならない!!!! このメッセージに返信する
日時: 2011/08/11 10:40
名前: わか
URL:
>rsyncを使ってデータ―の移行をしましたがmysqlが起動しませんでした
>
>そして/var/log/mysqld.logを見てみると
>
>下記の方と同じように
>http://centossrv.com/patio/patio.cgi?mode=res&no=1574&pno=0
>
>mysqld_safe mysqld from pid file /var/run/mysqld/mysqld.pid ended があったので
>
>http://centossrv.com/patio/patio.cgi?mode=res&no=1574&pno=0の( No.4 )のことをしたところ
>
>mysqlは起動できるようになりましたが
>
>php5.3がphp5.1になってしまいました
>
>どうすれば再び5.3になるでしょうか…?
>
>回答お願いします…

$ sudo yum list installed php*
でインストールされているphp関連のパッケージを調べる。

php.x86_64
php-cli.x86_64
php-common.x86_64
php-mbstring.x86_64
php-mysql.x86_64
php-pdo.x86_64

まずapacheの停止
$ sudo service httpd stop

php5.1関連パッケージの削除。
$ sudo yum remove php php-*

php5.3と必要なモジュールのインストール(今回はマルチバイト文字の取り扱い向上とMySQLとの接続)
$ sudo yum install php53 php53-mbstring php53-mysql

apacheの再開
$ sudo service httpd start
記事編集 編集
Re: phpが5.3にならない!!!! このメッセージに返信する
日時: 2011/08/11 16:27
名前: syomny
URL:
ありがとうございます

できました!!!
記事編集 編集
件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -